We are moving to Git Issues for bug tracking in future releases. During transition, content will be in both tools. If you'd like to file a new bug, please create an issue.

Bug 3166 - Allow multiple PayPal payment attempts
Allow multiple PayPal payment attempts
Status: RESOLVED FIXED
Product: OCS
Classification: Unclassified
Component: General
2.1
PC Linux
: P1 normal
Assigned To: PKP Support
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-02 09:57 PST by Alec Smecher
Modified: 2008-04-28 09:50 PDT (History)
0 users

See Also:
Version Reported In:
Also Affects:


Attachments
Patch against OCS pre-2.1 CVS (2.08 KB, patch)
2008-01-31 11:23 PST, Alec Smecher
Details | Diff
Patch against CVS version: including patch 485 (2.79 KB, patch)
2008-04-27 19:56 PDT, Juan Pablo Alperin
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alec Smecher 2007-12-02 09:57:47 PST
Allow multiple PayPal payment attempts; see the second part of <http://pkp.sfu.ca/support/forum/viewtopic.php?f=3&t=2478>. Some users will not follow through on the first attempt.
Comment 1 Alec Smecher 2008-01-31 11:23:49 PST
Created attachment 485 [details]
Patch against OCS pre-2.1 CVS
Comment 2 Alec Smecher 2008-01-31 11:24:21 PST
Fixed. Further requests for the registration page for registrants with pending payments will be redirected to the payment page.
Comment 3 James MacGregor 2008-03-26 17:57:35 PDT
Response to the patch, from the same support thread: 

"We need the user to be able to go back and change the category they registered for. That is, go back to the registration form. A couple of different scenarios need to covered here:

1. If somebody registers before the end of early registration (ie. discounted) and then doesn't pay, for whatever reason, and comes back after the end of the discounted period and wants to pay. They would need to be redirected back to select a registration category that was still active.

2. Say someone accidentally chose the wrong registration category, or simply changed their mind. They would also need to be able to go back to the registration form."

I can take a look at this patch functionality and suggest refinements in line with what Trudy's suggesting if you'd like, Alec. I'm in the midst of writing up some payments documentation, so by rights I should have a good idea on what's going on here. 
Comment 4 Alec Smecher 2008-04-17 10:01:56 PDT
Reopening in light of comment #3.
Comment 5 Juan Pablo Alperin 2008-04-27 19:56:13 PDT
Created attachment 596 [details]
Patch against CVS version: including patch 485

This patch solves the issues addressed in comment #3 by not redirecting back to the paypal screen, but rather, by redirecting back to the registration screen.  This method seems to work, at least in how I envision the workflow.  However, someone more familiar with OCS users could disagree. 

One thing this patch does not do is allow users to change the registration type once they have already paid.